Your account will be charged only for setting a task.
The cost can be calculated on the Pricing page.
Setting Amazon ASIN Tasks
This endpoint will provide you with a full list of ASINs assigned to different modifications of a product.
This endpoint will provide you with a full list of ASINs assigned to different modifications of a product.
Your account will be charged only for setting a task.
The cost can be calculated on the Pricing page.
All POST data should be sent in the JSON format (UTF-8 encoding). Task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, with each POST call containing no more than 100 tasks. If your POST call contains over 100 tasks, the tasks over this limit will return the 40006 error.
You can retrieve the results of completed tasks using the unique task identifier id. Alternatively, we can send them to you as soon as they are ready if you specify the postback_url or pingback_url when setting a task. Note that if your server doesn’t respond within 10 seconds, the connection will be aborted by timeout, and the task will be transferred to the ‘Tasks Ready’ list. The error code and message depend on your server’s configuration. See Help Center to learn more about using pingbacks and postbacks with DataForSEO APIs.
Below you will find a detailed description of the fields you can use for setting a task.
Description of the fields for setting a task:
| Field name | Type | Description |
|---|---|---|
asin | string | product ID |
priority | integer | task priority |
location_name | string | full name of search engine location |
location_code | integer | search engine location code |
location_coordinate | string | GPS coordinates of a location |
language_name | string | full name of search engine language |
language_code | string | search engine language code |
se_domain | string | search engine domain |
tag | string | user-defined task identifier |
postback_url | string | URL for sending task results learn more on our Help Center |
postback_data | string | postback_url datatype |
pingback_url | string | notification URL of a completed task learn more on our Help Center |
tasks array with the information specific to the set tasks.
Description of the fields in the results array:
| Field name | Type | Description |
|---|---|---|
version | string | the current version of the API |
status_code | integer | general status code |
status_message | string | general informational message |
time | string | execution time, seconds |
cost | float | total tasks cost, USD |
tasks_count | integer | the number of tasks in the |
tasks_error | integer | the number of tasks in the |
tasks | array | array of tasks |
id | string | unique task identifier in our system |
status_code | integer | status code of the task |
status_message | string | informational message of the task |
time | string | execution time, seconds |
cost | float | cost of the task, USD |
result_count | integer | number of elements in the |
path | array | URL path |
data | object | contains the same parameters that you specified in the POST request |
result | array | array of results |
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
curl --location --request POST "https://api.dataforseo.com/v3/merchant/amazon/asin/task_post"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw '[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]'<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
$post_array = array();
// example #1 - a simple way to set a task
// this way requires you to specify a location, a language of search, and an asin.
$post_array[] = array(
"location_name" => "United States",
"language_name" => "English (United States)",
"asin" => "B0756FCPPN"
);
// example #2 - a way to set a task with additional parameters
// high priority allows us to complete a task faster, but you will be charged more money.
// after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
$post_array[] = array(
"location_name" => "United States",
"language_name" => "English (United States)",
"asin" => "B0756FCPPN",
"priority" => 2,
"tag" => "some_string_123",
"pingback_url" => 'https://your-server.com/pingscript?id=$id&tag=$tag'
);
// example #3 - an alternative way to set a task
// after a task is completed, we will send the results according to the address you set in the 'postback_url' field.
$post_array[] = array(
"location_name" => "United States",
"language_name" => "English (United States)",
"asin" => "B0756FCPPN",
"postback_data" => "html",
"postback_url" => "https://your-server.com/postbackscript"
);
// this example has a 3 elements, but in the case of large number of tasks - send up to 100 elements per POST request
if (count($post_array) > 0) {
try {
// POST /v3/merchant/amazon/asin/task_post
$result = $client->post('/v3/merchant/amazon/asin/task_post', $post_array);
print_r($result);
// do something with post result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
}
$client = null;
?>const post_array = [];
post_array.push({
"location_name": "United States",
"language_name": "English",
"asin": "B0756FCPPN",
"priority": 2,
"tag": "some_string_123",
"pingback_url": 'https://your-server.com/pingscript?id=$id&tag=$tag'
});
const axios = require('axios');
axios({
method: 'post',
url: 'https://api.dataforseo.com/v3/merchant/amazon/asin/task_post',
auth: {
username: 'login',
password: 'password'
},
data: post_array,
headers: {
'content-type': 'application/json'
}
}).then(function (response) {
var result = response['data']['tasks'];
// Result data
console.log(result);
}).catch(function (error) {
console.log(error);
});from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
location_name="United States",
language_name="English (United States)",
asin="B0756FCPPN"
)
# after a task is completed, we will send a GET request to the address you specify
# instead of $id and $tag, you will receive actual values that are relevant to this task
post_data[len(post_data)] = dict(
location_name="United States",
language_name="English (United States)",
asin="B0756FCPPN",
priority=2,
tag="some_string_123",
pingback_url="https://your-server.com/pingscript?id=$id&tag=$tag"
)
# after a task is completed, we will send a GET request to the address you specify
# instead of $id and $tag, you will receive actual values that are relevant to this task
post_data[len(post_data)] = dict(
location_name="United States",
language_name="English (United States)",
asin="B0756FCPPN",
postback_data="html",
postback_url="https://your-server.com/postbackscript"
)
# POST /v3/merchant/amazon/asin/task_post
response = client.post("/v3/merchant/amazon/asin/task_post", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task merchant_amazon_asin_task_post()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
var postData = new List<object>();
// example #1 - a simple way to set a task
// this way requires you to specify a location, a language of search, and a asin.
postData.Add(new
{
location_name = "United States",
language_name = "English (United States)",
asin = "B0756FCPPN"
});
// example #2 - a way to set a task with additional parameters
// high priority allows us to complete a task faster, but you will be charged more credits.
// after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
postData.Add(new
{
location_name = "United States",
language_name = "English (United States)",
asin = "B0756FCPPN",
priority = 2,
tag = "some_string_123",
pingback_url = "https://your-server.com/pingscript?id=$id&tag=$tag"
});
// example #3 - an alternative way to set a task
// after a task is completed, we will send the results according to the address you set in the 'postback_url' field.
postData.Add(new
{
location_name = "United States",
language_name = "English (United States)",
asin = "B0756FCPPN",
postback_data = "html",
postback_url = "https://your-server.com/postbackscript"
});
// POST /v3/merchant/amazon/asin/task_post
var taskPostResponse = await httpClient.PostAsync("/v3/merchant/amazon/asin/task_post", new StringContent(JsonConvert.SerializeObject(postData)));
var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (result.status_code == 20000)
{
// do something with result
Console.WriteLine(result);
}
else
Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
}
}
}The above command returns JSON structured like this:
{
"version": "0.1.20200416",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.0998 sec.",
"cost": 0.003,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "04171455-0696-0192-0000-4c69cc29b945",
"status_code": 20100,
"status_message": "Task Created.",
"time": "0.0178 sec.",
"cost": 0.003,
"result_count": 0,
"path": [
"v3",
"merchant",
"amazon",
"asin",
"task_post"
],
"data": {
"api": "merchant",
"function": "asin",
"se": "amazon",
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN",
"priority": 2,
"se_type": "shopping",
"device": "desktop",
"os": "windows"
},
"result": null
}
]
}